#include <LiquidCrystal.h>
//pins are listed in order as the order seen in LCD Display

//Pin 6 = Register Select
//Pin 7 = Enable
//Pin 8 = DB4
//Pin 9 = DB5
//Pin 10 = DB6
//Pin 11 = DB7

LiquidCrystal lcd(6,7,8,9,10,11);

int piezo = 2;
int red = 3;
int green = 4;
int GasSensor = A5;
int ThreshHold = 60;
void setup()
{
	pinMode(red, OUTPUT);
	pinMode(green,OUTPUT);
	pinMode(piezo,OUTPUT);
	pinMode(GasSensor,INPUT);
	Serial.begin(9600);
  
  	//changes the columns and rows of LCD display
	lcd.begin(16,2);
}

void loop()
{
  //reads the binary value of the gas and its distance
  int SensorState = analogRead(GasSensor);
  int analogValue = SensorState;
  
  //prints the distance
  Serial.println(analogValue);
  
  //Condition for buzzer to either go on or off depending on
  //the distance the gas is from the sensor
  if(analogValue>ThreshHold)
  {
    //LED goes red if gas is detected, else stays green
    digitalWrite(green,LOW);
    digitalWrite(red,HIGH);
    
    //The sound and the interval period of the buzzer
    tone(piezo,251,750);
    
    //Clears to allow next message to display
    lcd.clear();
    
    //Text Displays on LCD display
    lcd.print("NOT GOOD :(");
    
    delay(750);
    
    //Clears to allow next message to display
    lcd.clear();
    
    //Text Displays on LCD display
    lcd.print("EXIT NOW");
    delay(750);
 }
  
  else
  {
    //LED goes red if gas is detected, else stays green
    digitalWrite(red,LOW);
    digitalWrite(green,HIGH);
    
    //Clears to allow next message to display
    lcd.clear();
    
    //Text Displays on LCD display
    lcd.print("ALL GOOD :)");
    delay(1000);
    
    //Clears to allow next message to display
    lcd.clear();
    
    //Text Displays on LCD display
    lcd.print("NO NEED TO WORRY");
    delay(1000);
  }  
     
}